import {resourceAddDialog} from "../../components/resource/dialog-resource.js";
import {apiPost, inputFileFormItemCommonOptions} from "../../components/constants.js";

export function tabData() {
    return {
        title: '数据资源',
        icon: 'fa fa-database',
        body: [
            {
                type: 'action',
                label: '',
                icon: 'fa fa-plus',
                ...resourceAddDialog()
            },
            {
                type: 'form',
                body: [
                    {
                        type: 'input-file',
                        name: 'file',
                        label: '测试文件上传',
                        ...inputFileFormItemCommonOptions(undefined, 1073741824),
                        useChunk: true,
                        startChunkApi: apiPost('${base}/upload/start'),
                        chunkApi: apiPost('${base}/upload/slice'),
                        finishChunkApi: apiPost('${base}/upload/finish')
                    }
                ]
            }
        ]
    }
}